{
    "type": "crafting_shaped",
    "category": "misc",
    "pattern": [
        "NNN",
        "NRN",
        "RRR"
    ],
    "key": {
        "N": "iron_nugget",
        "R": "redstone"
    },
    "result": {
        "id": "leather",
        "components": {
            "custom_name": {
                "text": "Function",
                "color": "green",
                "bold": true,
                "italic": false
            },
            "lore": [
                {
                    "text": "Used to launch new One UI versions",
                    "color": "gray",
                    "italic": false
                }
            ],
            "item_model": "command_block",
            "enchantment_glint_override": true,
            "max_stack_size": 99,
            "custom_data": {
                "function": true
            }
        },
        "count": 2
    }
}